> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 予測の一覧

> 予測を一覧表示します。



## OpenAPI

````yaml /ja/weave/reference/service-api/openapi.json get /v2/{entity}/{project}/predictions
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v2/{entity}/{project}/predictions:
    get:
      tags:
        - Predictions
      summary: 予測の一覧
      description: 予測を一覧表示します。
      operationId: prediction_list_v2__entity___project__predictions_get
      parameters:
        - in: path
          name: entity
          required: true
          schema:
            title: Entity
            type: string
        - in: path
          name: project
          required: true
          schema:
            title: Project
            type: string
        - description: 評価 run の ID でフィルター
          in: query
          name: evaluation_run_id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: 評価 run ID でフィルター
            title: Evaluation Run Id
        - description: 返される予測の最大数
          in: query
          name: limit
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: 返される予測の最大数
            title: Limit
        - description: スキップする予測の数
          in: query
          name: offset
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: スキップする予測の数
            title: Offset
      responses:
        '200':
          content:
            application/jsonl:
              schema:
                items:
                  $ref: '#/components/schemas/PredictionReadRes'
                type: array
          description: JSONL 形式のデータストリーム
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    PredictionReadRes:
      properties:
        evaluation_run_id:
          anyOf:
            - type: string
            - type: 'null'
          description: この予測が関連付けられている場合の評価 run ID
          title: Evaluation Run Id
        inputs:
          additionalProperties: true
          description: 予測への入力
          title: Inputs
          type: object
        model:
          description: モデル参照（weave:// URI）
          title: Model
          type: string
        output:
          description: 予測の出力
          title: Output
        prediction_id:
          description: 予測 ID
          title: Prediction Id
          type: string
        wb_user_id:
          anyOf:
            - type: string
            - type: 'null'
          description: 直接設定しないでください。サーバーがこのフィールドを自動的に設定します。
          title: Wb User Id
      required:
        - prediction_id
        - model
        - inputs
        - output
      title: PredictionReadRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````